Update CRM custom object type
PATCH
/v1/crm/custom-object-types/{objectKind}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
objectKindstringrequiredRequest body
requiredapplication/jsondescriptionstringicon_keystringis_activebooleanlabelstringmetadataanyplural_labelstringprimary_display_fieldstringResponses
200OK
backing_entitystringrequiredbacking_tablestringrequireddomainstringrequiredexplicitbooleanrequiredgeneralizedbooleanrequiredicon_keystringrequiredkindstringrequiredlabelstringrequiredplural_labelstringrequiredprimary_display_fieldstringrequiredsupported_capabilitiesstring[] | nullrequiredsupports_custom_fieldsbooleanrequiredsupports_listsbooleanrequiredsupports_relationshipsbooleanrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/crm/custom-object-types/string" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"icon_key": "string",
"is_active": true,
"label": "string",
"metadata": "string",
"plural_label": "string",
"primary_display_field": "string"
}'const response = await fetch("/v1/crm/custom-object-types/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"description": "string",
"icon_key": "string",
"is_active": true,
"label": "string",
"metadata": "string",
"plural_label": "string",
"primary_display_field": "string"
})
});import requests
response = requests.patch(
"/v1/crm/custom-object-types/string",
headers={
"Content-Type": "application/json"
},
json={
"description": "string",
"icon_key": "string",
"is_active": True,
"label": "string",
"metadata": "string",
"plural_label": "string",
"primary_display_field": "string"
},
)Response
{
"backing_entity": "string",
"backing_table": "string",
"domain": "string",
"explicit": true,
"generalized": true,
"icon_key": "string",
"kind": "string",
"label": "string",
"plural_label": "string",
"primary_display_field": "string",
"supported_capabilities": [
"string"
],
"supports_custom_fields": true,
"supports_lists": true,
"supports_relationships": true
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}